Skip to main content
GET
/
api
/
v1
/
post
/
reposts
Get Post Reposts
curl --request GET \
  --url https://fresh-linkedin-scraper-api.p.rapidapi.com/api/v1/post/reposts \
  --header 'x-rapidapi-key: <api-key>'
import requests

url = "https://fresh-linkedin-scraper-api.p.rapidapi.com/api/v1/post/reposts"

headers = {"x-rapidapi-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-rapidapi-key': '<api-key>'}};

fetch('https://fresh-linkedin-scraper-api.p.rapidapi.com/api/v1/post/reposts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "cost": 1,
  "total": 500,
  "has_more": true,
  "pagination_token": "dXJuOmxpOmFjdGl2aXR5OjczMTEzNzE0NTE4NjgwNTc2MDAtMTc0MzE2Njc5MDE0Ng==",
  "data": [
    {
      "id": "7311706314957541377",
      "is_repost_quote": false,
      "text": null,
      "created_at": null,
      "activity": {
        "reaction_counts": [
          {
            "type": "LIKE",
            "count": 10
          }
        ],
        "num_likes": 100,
        "num_comments": 50,
        "num_shares": 20
      },
      "author": {
        "id": "<string>",
        "url": "<string>",
        "name": "<string>",
        "avatar": [
          {
            "width": 400,
            "height": 400,
            "url": "https://media.licdn.com/dms/image/v2/D4E0BAQHjelLY2a-Mnw/company-logo_400_400/company-logo_400_400/0/1666083635765?e=1748476800&v=beta&t=V_T_yXL6Bs2HDEY-iZAKSkNype7_-7USjP2HIXo0Zv8",
            "expires_at": 1748476800000
          }
        ]
      }
    }
  ]
}
{
"message": "Bad request"
}
{
"message": "Invalid API key. Go to https://docs.rapidapi.com/docs/keys for more info."
}
{
"message": "You are not subscribed to this API."
}
{
"success": false,
"message": "Request failed with status 500: Internal Server Error",
"status_code": 500,
"cost": 0,
"explain": "Oops, it looks like there was an issue processing your request. Don't worry, you won't be charged for this request. If you need any help, don't hesitate to contact us via email [email protected] or telegram https://t.me/saleleads"
}

Authorizations

x-rapidapi-key
string
header
required

Rapid API Key

Query Parameters

post_id
string
required

Post ID containing only numbers

Pattern: ^\d+$
Example:

"1234567890"

page
integer
default:1

Page number for pagination

Example:

1

pagination_token
string

Pagination token for fetching more data

Response

Success

success
boolean
Example:

true

cost
number

Cost of the request

Example:

1

total
number

Total number of reposts

Example:

500

has_more
boolean

Whether there are more reposts to fetch

Example:

true

pagination_token
string

Pagination token for fetching more data

Example:

"dXJuOmxpOmFjdGl2aXR5OjczMTEzNzE0NTE4NjgwNTc2MDAtMTc0MzE2Njc5MDE0Ng=="

data
object[]